%global         pypi_name      voevent-parse

Name:           python-voevent-parse
Version:        1.0.1
Release:        %mkrel 2
Summary:        A lightweight library for manipulating VOEvent files
License:        BSD
Group:          Development/Python

URL:            https://github.com/timstaley/voevent-parse
Source0:        https://pypi.python.org/pypi/voevent-parse/%{pypi_name}-%{version}.tar.gz
 
BuildRequires:  python
BuildRequires:  python-setuptools
BuildArch:      noarch


Conflicts:      python-voeventlib
Obsoletes:      python-voeventlib <= 0.3
Provides:       python-voeventlib = %{version}-%{release}
Provides:       python-voeventparse = %{version}-%{release}


%description
A lightweight library for parsing, manipulating, and generating
VOEvent XML packets.



%package -n python3-voevent-parse
Summary:        Python3 implementation of VOEvent
Group:          Development/Python
BuildRequires:  python3
BuildRequires:  python3-setuptools
BuildArch:      noarch
Provides:       python3-voeventlib = %{version}-%{release}
Provides:       python3-voeventparse = %{version}-%{release}

%description -n python3-voevent-parse
%{summary}.


%prep
%setup -q -n %{pypi_name}-%{version}
%__rm -rf %{pypi_name}.egg-info
%__rm -rf __pycache__


%build
%py2_build
%py3_build


%install
%py2_install
%py3_install



%files
%doc README.rst
%{python2_sitelib}/voeventparse
%{python2_sitelib}/voevent_parse-%{version}-py?.?.egg-info

%files -n python3-voevent-parse
%doc README.rst
%{python3_sitelib}/voeventparse
%{python3_sitelib}/voevent_parse-%{version}-py?.?.egg-info



%changelog
* Mon Dec 19 2016 eatdirt <eatdirt> 1.0.1-2.mga6
+ Revision: 1076187
- Remove unnecessary Requires + fix typos

* Mon Dec 19 2016 eatdirt <eatdirt> 1.0.1-1.mga6
+ Revision: 1076073
- imported package python-voevent-parse

